Record an abandoned-booking funnel step
POST
/api/public/{slug}/abandoned
const url = 'https://example.com/api/public/example/abandoned';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"sessionId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","serviceId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","staffId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","selectedDate":"example","selectedTime":"example","customerEmail":"hello@example.com","customerName":"example","customerPhone":"example","step":"service"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/public/example/abandoned \ --header 'Content-Type: application/json' \ --data '{ "sessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "serviceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "staffId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "selectedDate": "example", "selectedTime": "example", "customerEmail": "hello@example.com", "customerName": "example", "customerPhone": "example", "step": "service" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”slug
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
sessionId
string format: uuid
serviceId
string format: uuid
staffId
string format: uuid
selectedDate
string
selectedTime
string
customerEmail
string format: email
customerName
string
customerPhone
string
step
required
string
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
data
required
object
sessionId
required
string format: uuid
Examplegenerated
{ "data": { "sessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }}